const Koa = require('koa');
const Static = require('koa-static');
const Formidable =require('koa-formidable');
const Config = require('./config');

let {publicPath, viewsPath, templateExtname} = Config;
let app = new Koa();
//template
const render = require('koa-art-template');
render(app, {
  root: viewsPath,
  extname: templateExtname,
  debug: true
});

//routers
let userRouter = require('./router/user');

app.use(Formidable());
app.use(Static(__dirname + publicPath));
app.use(userRouter.routes());
app.use(userRouter.allowedMethods);

app.listen(1234);